import request from '@/utils/request'

// 公共下拉选数据 - 获取人员所属
export function getInspectionStationSelectAPI(data) {
    return request({
        url: '/personnel/getInspectionStationSelect',
        method: 'GET',
        params: data,
    })
}

// 公共下拉选数据 - 获取人员性质、人员分类、岗位
export function getPersonNatureAndCategoryAndPositionSelectAPI(data) {
    return request({
        url: '/personnel/getPersonnelClassificationSelect',
        method: 'GET',
        params: data,
    })
}

// 公共下拉选数据 - 获取专业，类型，类别 0 1 2 分别对应专业，类型，类别
export function getMajorTypeCategorySelectAPI(data) {
    return request({
        url: '/planMajor/getPlanMajorListSelect',
        method: 'GET',
        params: data,
    })
}

// 获取工作量类别下拉
export function getPlanMajorListSelectAPI(data = {}) {
    return request({
        url: '/workloadCategory/getWorkloadCategoryListSelect',
        method: 'GET',
        params: data,
    })
}

// 公共下拉选数据 - 获取人员列表
export function getPersonnelCommonListAPI(data) {
    return request({
        url: '/personnel/getPersonnelListSelect',
        method: 'GET',
        params: data,
    })
}
